Skip to content

Get element by id

GET
/openapi/account/{id}
curl --request GET \
--url https://open-api.replyco.com/openapi/account/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

Media typeapplication/json
object
id
string format: uuid
marketplace
integer format: int32
Allowed values: 0 - PlaceholderDoNotUse 1 - Ebay 2 - Etsy 3 - Mail 4 - BigCommerce 5 - WooCommerce 6 - Magento 7 - Shopify 8 - Linnworks 10 - Gmail 11 - Telegram 12 - Widget 13 - Cdiscount 14 - Facebook 15 - Fruugo 16 - AmazonSP 17 - Instagram 18 - Wish 19 - ChannelAdvisor 20 - CustomIntegration 21 - Outlook 22 - Veeqo 23 - Aircall 24 - Katana 25 - Billbee 26 - Kaufland 27 - WhatsApp 28 - ShopLine 29 - Brightpearl 30 - TikTok 31 - Otto 32 - RestApiEbay
smtpserver
string
nullable
smtpport
integer format: int32
nullable
smtpuseSsl
boolean
nullable
protocolType
integer format: int32
Allowed values: 0 - Pop 1 - Imap
protocolAddress
string
nullable
protocolPort
integer format: int32
nullable
protocolUseSSL
boolean
nullable
marketplaceSessionID
string
nullable
marketplaceLastSync
string format: date-time
name
string
nullable
displayName
string
nullable
marketplaceSellerID
string
nullable
shopRegion
integer format: int32
Allowed values: 0 - Empty 1 - NorthAmerica 2 - Brazil 3 - Europe 4 - India 5 - China 6 - Japan 7 - Australia
shopCountry
integer format: int32
Allowed values: 0 - Empty 1 - US 2 - Canada 3 - Mexico 4 - Brazil 5 - Spain 6 - UK 7 - France 8 - Netherlands 9 - Germany 10 - Italy 11 - Sweden 12 - Poland 13 - Turkey 14 - UAE 15 - India 16 - Singapore 17 - Australia 18 - Japan 19 - Egypt 20 - Austria 21 - Switzerland 22 - HongKong 23 - Ireland
shopBaseApiUrl
string
nullable
marketplaceMessagesLastSync
string format: date-time
nullable
marketplaceOrdersLastSync
string format: date-time
nullable
marketplaceProductsLastSync
string format: date-time
nullable
marketplaceCustomersLastSync
string format: date-time
nullable
marketplaceReturnsLastSync
string format: date-time
nullable
marketplaceReturnsLastUpdate
string format: date-time
nullable
marketplaceReportLastGenerated
string format: date-time
nullable
marketplaceInquiriesLastSync
string format: date-time
nullable
marketplaceInquiriesLastUpdate
string format: date-time
nullable
marketplaceFeedbacksLastSync
string format: date-time
nullable
marketplaceFeedbackRequestsLastSync
string format: date-time
nullable
marketplaceLastTicketUpdateDate
string format: date-time
nullable
marketplaceSyncStoppedTo
string format: date-time
nullable
marketplaceCallsLastSync
string format: date-time
nullable
sendAs
string
nullable
sendAsName
string
nullable
needRelogin
boolean
nullable
amazonReportRequestId
string
nullable
linnworksOrderReferences
integer format: int32
Allowed values: 1 - ExternalReference 2 - ReferenceNum 4 - SecondaryReferenceNum 8 - nOrderId
type
integer format: int32
Allowed values: 0 - Marketplace 1 - InstantMessages 2 - All
mergeTicketsWithSameCustomerWithin
integer format: int32
ticketMergeSettings
integer format: int32
Allowed values: 0 - Default 1 - TicketsWithSameCustomer 2 - AmazonNotifications 4 - EbayNotifications
orderCustomLink
string
nullable
icon
object
id
string format: uuid
marketFileId

External marketplace-specific file identifier (if applicable)

string
nullable
mimeType

MIME type of the file (e.g., “image/png”, “application/pdf”)

string
nullable
fileSize

Size of the file in bytes

integer format: int32
fileName

Name of the file including extension (e.g., “logo.png”, “document.pdf”)

string
nullable
filePath

Server-side path where the file is stored (internal use)

string
nullable
fileUrl

Publicly accessible URL to download/view the file

string
nullable
base64

Base64-encoded file content for inline upload/download

string
nullable

Example

{
"marketplace": "0 - PlaceholderDoNotUse",
"protocolType": "0 - Pop",
"shopRegion": "0 - Empty",
"shopCountry": "0 - Empty",
"linnworksOrderReferences": "1 - ExternalReference",
"type": "0 - Marketplace",
"ticketMergeSettings": "0 - Default"
}

Unauthorized